# CClosure Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for CClosure:
[legend]

## Data Fields

GCObject * | next
lu_byte | tt
lu_byte | marked
lu_byte | isC
lu_byte | nupvalues
GCObject * | gclist
struct Table * | env
lua_CFunction | f
TValue | upvalue [1]

## Detailed Description

Definition at line 295 of file lobject.h.

## Field Documentation

GCObject* CClosure::next

Definition at line 296 of file lobject.h.

lu_byte CClosure::tt

Definition at line 296 of file lobject.h.

lu_byte CClosure::marked

Definition at line 296 of file lobject.h.

lu_byte CClosure::isC

Definition at line 296 of file lobject.h.

Referenced by aux_upvalue(), collectvalidlines(), funcinfo(), luaF_freeclosure(), luaF_newCclosure(), propagatemark(), and traverseclosure().

lu_byte CClosure::nupvalues

Definition at line 296 of file lobject.h.

Referenced by auxgetinfo(), luaF_freeclosure(), luaF_newCclosure(), propagatemark(), and traverseclosure().

GCObject* CClosure::gclist

Definition at line 296 of file lobject.h.

Referenced by propagatemark().

struct Table* CClosure::env `[read]`

Definition at line 296 of file lobject.h.

Referenced by getcurrenv(), index2adr(), lua_replace(), luaF_newCclosure(), and traverseclosure().

lua_CFunction CClosure::f

Definition at line 297 of file lobject.h.

Referenced by f_Ccall(), and lua_pushcclosure().

TValue CClosure::upvalue[1]

Definition at line 298 of file lobject.h.

Referenced by aux_upvalue(), index2adr(), lua_pushcclosure(), and traverseclosure().

The documentation for this struct was generated from the following file:

- lua/lobject.h